summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorXyne2018-01-15 06:09:28 +0100
committerXyne2018-01-15 06:09:28 +0100
commit13d565f3b44693e1399d85c4a269876f1c3cb3a5 (patch)
tree351d5daa6a93665117c786ee5cf2f73d04322993
parent1e60964fe6b652229947e9d02d5c79587dc4bd7b (diff)
downloadaur-13d565f3b44693e1399d85c4a269876f1c3cb3a5.tar.gz
Update to 2018-7
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD16
-rw-r--r--pacserve.install17
3 files changed, 31 insertions, 21 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 55ef2ff5f8c..881edbe0edc 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,7 @@
-# Generated by mksrcinfo v8
-# Mon Jan 15 03:39:47 UTC 2018
pkgbase = pacserve
pkgdesc = Easily share Pacman packages between computers. A replacement for PkgD.
- pkgver = 2017
- pkgrel = 2
+ pkgver = 2018
+ pkgrel = 7
url = https://xyne.archlinux.ca/projects/pacserve
install = pacserve.install
arch = any
@@ -12,12 +10,13 @@ pkgbase = pacserve
depends = python3-threaded_servers
backup = etc/pacserve/pacserve-ports.conf
backup = etc/pacserve/pacserve.service.conf
- source = https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2017.tar.xz
- source = https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2017.tar.xz.sig
- md5sums = 9c7587a93dc451d807fbcd1fabf08e7f
- md5sums = 4350ca4f6a48c67c40263efed7ab93bc
- sha512sums = a2bbfcec8d61f3d84c890370d5b4ace887e412940b2b435d1e4e9263ceecd0b96da1554124cb0471d1f52e3985da2b32cdcbe73d6f11ded26773ca6d8a158c39
- sha512sums = 854de5bd367caf7adbf6e9828c473c3688bdaa14211cf8ca7f231e3f46d426d9d4d059bcee49ac59a56eccb166be650a7e88e80dee146a1c72caced7b9e45d31
+ source = https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2018.tar.xz
+ source = https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2018.tar.xz.sig
+ validpgpkeys = EC3CBE7F607D11E663149E811D1F0DC78F173680
+ md5sums = f7e3684844f88e41a21591bffba9e887
+ md5sums = 08e88378b73158a179dac5d898c62591
+ sha512sums = 1094216551c3272cbd9b08f5570e4c923b5babdd4ec2e5d29ae829d42288bcd12eeffdd42d30d6da41f91ac2ef88b0ef89f79c4d1e10dffb8cdb2118908163eb
+ sha512sums = 5142917a1fab2d5777ed78a7ca99e802584844a398072f9c6a2646dbddad65e1b08c3c538989757b9fc27f82c4052a7ce676a309ed94c161dcac67c390058ffb
pkgname = pacserve
diff --git a/PKGBUILD b/PKGBUILD
index 51c3c2f8582..9491e9832f2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
#Maintainer: Xyne <ac xunilhcra enyx, backwards>
pkgname=pacserve
-pkgver=2017
-pkgrel=2
+pkgver=2018
+pkgrel=7
pkgdesc='Easily share Pacman packages between computers. A replacement for PkgD.'
arch=(any)
license=(GPL)
@@ -9,16 +9,16 @@ url="https://xyne.archlinux.ca/projects/pacserve"
depends=(pyalpm python3-threaded_servers)
backup=(etc/pacserve/pacserve-ports.conf etc/pacserve/pacserve.service.conf)
source=(
- https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2017.tar.xz
- https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2017.tar.xz.sig
+ https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2018.tar.xz
+ https://xyne.archlinux.ca/projects/pacserve/src/pacserve-2018.tar.xz.sig
)
sha512sums=(
- a2bbfcec8d61f3d84c890370d5b4ace887e412940b2b435d1e4e9263ceecd0b96da1554124cb0471d1f52e3985da2b32cdcbe73d6f11ded26773ca6d8a158c39
- 854de5bd367caf7adbf6e9828c473c3688bdaa14211cf8ca7f231e3f46d426d9d4d059bcee49ac59a56eccb166be650a7e88e80dee146a1c72caced7b9e45d31
+ 1094216551c3272cbd9b08f5570e4c923b5babdd4ec2e5d29ae829d42288bcd12eeffdd42d30d6da41f91ac2ef88b0ef89f79c4d1e10dffb8cdb2118908163eb
+ 5142917a1fab2d5777ed78a7ca99e802584844a398072f9c6a2646dbddad65e1b08c3c538989757b9fc27f82c4052a7ce676a309ed94c161dcac67c390058ffb
)
md5sums=(
- 9c7587a93dc451d807fbcd1fabf08e7f
- 4350ca4f6a48c67c40263efed7ab93bc
+ f7e3684844f88e41a21591bffba9e887
+ 08e88378b73158a179dac5d898c62591
)
install=pacserve.install
validpgpkeys=('EC3CBE7F607D11E663149E811D1F0DC78F173680')
diff --git a/pacserve.install b/pacserve.install
index 5b1ea8b024c..5de764bd4aa 100644
--- a/pacserve.install
+++ b/pacserve.install
@@ -1,8 +1,19 @@
post_upgrade(){
+ echo post_upgrade "$@"
oldver="$2"
- if [[ $(vercmp "$oldver" 2018) -le 0 ]]
+ if [[ $(vercmp "$oldver" 2018-7) -lt 0 ]]
then
- getent passwd pacserve >/dev/null 2>&1 || userdel pacserve
- getent group pacserve >/dev/null 2>&1 || groupdel pacserve
+ cat << 'MSG'
+Attempting to remove pacserve user and group created by previous version of
+Pacserve. If this fails, run the following commands as root then re-install
+the pacserve package:
+
+ systemctl stop pacserve.service
+ userdel pacserve
+ groupdel pacserve
+
+MSG
+ getent passwd pacserve >/dev/null 2>&1 && userdel pacserve
+ getent group pacserve >/dev/null 2>&1 && groupdel pacserve
fi
}